| Home | Libraries | People | FAQ | More

## Macro BOOST_TYPE_ERASURE_FREE

BOOST_TYPE_ERASURE_FREE — Defines a primitive concept for a free function.

## Synopsis

    // In header: <boost/type_erasure/free.hpp>

    BOOST_TYPE_ERASURE_FREE(qualified_name, function_name, N)

## Description

The declaration of the concept is

    template<class Sig>
    struct ::namespace1::namespace2::...::concept_name;

where Sig is a function type giving the signature of the function.

This macro can only be used in the global namespace.

Example:

    BOOST_TYPE_ERASURE_FREE((boost)(has_to_string), to_string, 1)

Parameters:

`N` | is the number of arguments of the function.
`function_name` | is the name of the function.
`qualified_name` | should be a preprocessor sequence of the form (namespace1)(namespace2)...(concept_name).